Just jotting this down for anyone that might encounter this problem. Apparently Groovy 1.8 introduced a backwards-incompatible language syntax change. It cropped up for me while I was attempting to compile existing Groovy unit tests (written against Groovy 1.7.x) that use EasyMock. I’ll show an example next – just note that that what I experienced was due to a Groovy syntax issue and not specific to EasyMock. In a test case, I had.. Read More